com.mysql.jdbc

## Class MiniAdmin

- java.lang.Object
- - com.mysql.jdbc.MiniAdmin

    public class MiniAdmin
    extends java.lang.Object

Utility functions for admin functionality from Java.

### Constructor Summary

Constructors
Constructor and Description
`MiniAdmin(java.sql.Connection conn)` Create a new MiniAdmin using the given connection
`MiniAdmin(java.lang.String jdbcUrl)` Create a new MiniAdmin, connecting using the given JDBC URL.
`MiniAdmin(java.lang.String jdbcUrl, java.util.Properties props)` Create a new MiniAdmin, connecting using the given JDBC URL and properties

### Method Summary

Methods
`void` `shutdown()` Shuts down the MySQL server at the other end of the connection that this MiniAdmin was created from/for.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MiniAdmin

    public MiniAdmin(java.sql.Connection conn)
              throws java.sql.SQLException

Create a new MiniAdmin using the given connection

Parameters:
  `conn` - the existing connection to use.
Throws:
  `java.sql.SQLException` - if an error occurs

#### MiniAdmin

    public MiniAdmin(java.lang.String jdbcUrl)
              throws java.sql.SQLException

Create a new MiniAdmin, connecting using the given JDBC URL.

Parameters:
  `jdbcUrl` - the JDBC URL to use
Throws:
  `java.sql.SQLException` - if an error occurs

#### MiniAdmin

    public MiniAdmin(java.lang.String jdbcUrl,
             java.util.Properties props)
              throws java.sql.SQLException

Create a new MiniAdmin, connecting using the given JDBC URL and properties

Parameters:
  `jdbcUrl` - the JDBC URL to use
  `props` - the properties to use when connecting
Throws:
  `java.sql.SQLException` - if an error occurs

### Method Detail

#### shutdown

    public void shutdown()
                  throws java.sql.SQLException

Shuts down the MySQL server at the other end of the connection that this MiniAdmin was created from/for.

Throws:
  `java.sql.SQLException` - if an error occurs